# QStyleOptionDockWidgetV2 Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionDockWidget.

### Constructor

- void QStyleOptionDockWidgetV2()
- void QStyleOptionDockWidgetV2(QStyleOptionDockWidget other)
- void QStyleOptionDockWidgetV2(QStyleOptionDockWidgetV2 other)

### Constructor Properties

- prototype: The QStyleOptionDockWidgetV2 prototype object
- Version = 2
- StyleOptionVersion( value )

### Instance Properties

QStyleOptionDockWidgetV2 objects have no special properties beyond those inherited from the QStyleOptionDockWidgetV2 prototype object.